rudof (0.3.8+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * build-depend on package for crate dirs
  * tighten build-dependencies
  * update watch file:
    + stop set auto-mangling of upstream version
      (now done by default)
    + limit to STABLE_VERSION
  * update source helper tool copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Aug 2026 18:12:06 +0200

rudof (0.3.7+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * update source helper tool copyright-check
  * build-depend on package for crate postcard

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 30 Jul 2026 21:23:56 +0200

rudof (0.3.6+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * tighten build-dependencies for crates rand reqwest spargebra
  * (build-)depend on ca-certificates

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Jul 2026 13:45:04 +0200

rudof (0.3.4+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patches
  * reorganize patch naming and numbering
  * use debhelper compatibility level 14 (not 13)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Jun 2026 10:23:19 +0200

rudof (0.3.3+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Jun 2026 13:08:58 +0200

rudof (0.3.2+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patches
  * move aside lock-file during build

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 May 2026 21:48:38 +0200

rudof (0.3.1+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 May 2026 17:39:01 +0200

rudof (0.2.20+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch 2002_tracing-test, obsoleted by Debian package changes
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 May 2026 07:06:24 +0200

rudof (0.2.19+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 May 2026 07:01:13 +0200

rudof (0.2.18+ds-2) unstable; urgency=medium

  * add patch 1001_toml to accept newer major version of crate toml;
    stop build-depend on package for old crate toml v0.8;
    closes: bug#1135852, thanks to Peter Michael Green
  * relax patch 1001_crossterm
    to accept newer minor version of crate crossterm (see bug#1135852)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 07 May 2026 08:46:06 +0200

rudof (0.2.18+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches;
    enable support for Excel spreadsheet as DCTAP source format;
    build-depend on package for crate calamine

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 May 2026 14:32:24 +0200

rudof (0.2.17+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * add patch 1001_rustemo
    to accept newer minor versions of crate rustemo,
    superseding patch 2002_rustemo;
    build-depend on packages for crates dashmap rustemo
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Apr 2026 15:47:56 +0200

rudof (0.2.16+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * stop build-depend on package for crate async-trait

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Apr 2026 13:10:33 +0200

rudof (0.2.12+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 Apr 2026 09:45:58 +0200

rudof (0.2.11+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Apr 2026 09:31:59 +0200

rudof (0.2.8+ds-3) unstable; urgency=medium

  * drop patch 2003_no_env-filter, obsoleted by Debian package changes

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Apr 2026 08:30:23 +0200

rudof (0.2.8+ds-2) unstable; urgency=medium

  * tidy rules file command resolving
  * declare compliance with Debian Policy 4.7.4
  * tighten build-dependency for crate rand

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Apr 2026 10:58:38 +0200

rudof (0.2.8+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * tighten build-dependency for crate reqwest

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Mar 2026 23:34:57 +0100

rudof (0.2.7+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * build-depend on packages for crates clap-complete-command is_ci
  * tighten build: generate manpage below debian/build
  * generate shell completion;
    build-depend on dh-sequence-bash-completion;
    suggest bash-completion
  * update autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Mar 2026 12:42:28 +0100

rudof (0.2.6+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Mar 2026 09:58:13 +0100

rudof (0.2.5+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * update copyright info: update coverage
  * build-depend on packages for crates once_cell paste

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Feb 2026 13:49:15 +0100

rudof (0.1.148+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: auto-mangle upstream version
  * update copyright info:
    + really avoid any .git* files when repackaging upstream source
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Feb 2026 18:15:07 +0100

rudof (0.1.147+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patches 2002_axum 2002_pretty,
    obsoleted by Debian packaging changes
  * update copyright info:
    + avoid any .git* files when repackaging upstream source
    + license patches same as general upstream license
    + update coverage
  * update git-buildpackage config:
    + stop superfluously filter out .git* files
  * relax (build-)dependencies for all crates
  * update and unfuzz patches
  * build-depend on package for crate proptest

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Feb 2026 11:39:53 +0100

rudof (0.1.146+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers
  * stop declare superfluous fields Priority Rules-Requires-Root
  * declare compliance with Debian Policy 4.7.3
  * update git-buildpackage config: improve usage comment
  * add tests;
    build-depend on libtest2-suite-perl libtest2-tools-command-perl perl

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Dec 2025 14:36:37 +0100

rudof (0.1.145+ds-2) unstable; urgency=medium

  * drop patches 2002_toml,
    obsoleted by Debian packaging changes;
    tighten build-dependenciec for crate toml
  * fix avoid nocheck hit for rust build-dependencies;
    closes: bug#1122296, thanks to Santiago Vila
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Dec 2025 01:40:38 +0100

rudof (0.1.145+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patch
  * tighten build-dependency for crate either

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Dec 2025 12:11:55 +0100

rudof (0.1.144+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * drop patches 2002_minijinja 2002_rust_decimal,
    obsoleted by Debian packaging changes
  * update DEP-3 patch headers
  * update and unfuzz patches
  * tighten build-dependencies for crates reqwest tokio

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Dec 2025 23:49:50 +0100

rudof (0.1.140+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info:
    + update repackaging exclusions
    + update coverage
  * update and unfuzz patches
  * add TODO note about patched-out support for PGSchema
  * add patch 1001_termtree
    to accept newer minor version of crate termtree;
    bump build-dependency for crate termtree

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 04 Nov 2025 16:27:47 +0100

rudof (0.1.134+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patch
  * tighten build-dependencies for crates indexmap oxigraph

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Oct 2025 17:27:51 +0100

rudof (0.1.125+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patch

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Oct 2025 23:05:21 +0200

rudof (0.1.121+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * add TODO note
    about patched-out support for Model-Context-Protocol service

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Oct 2025 13:15:58 +0200

rudof (0.1.120+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * stop build-depend explicitly on rustc
  * update and unfuzz patches
  * build-depend on packages
    for crates crossterm tabled itermtree term-size
  * adapt packaging
    to install upstream renamed executable rudof_generate
    (not gone data_generator)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Oct 2025 23:47:16 +0200

rudof (0.1.119+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * revive TODO note about lack of spreadsheet support
  * build-depend on packages
    for crates chrono futures rand rayon tokio-test uuid;
    tighten build-dependencies for crate tokio
  * install new executable data_generator

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Oct 2025 15:27:04 +0200

rudof (0.1.116+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten (build-)dependency for crate colored
  * update and unfuzz patches
  * build-depend on package for crate tempfile

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Oct 2025 10:57:55 +0200

rudof (0.1.115+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * drop TODO item about spreadsheet support postponed upstream
  * render man pages for subcommands compare rdf-config

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Oct 2025 10:31:58 +0200

rudof (0.1.109+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Sep 2025 23:27:59 +0200

rudof (0.1.105+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * relax build-dependency for crate itertools
  * drop patch 1001, obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Sep 2025 11:33:55 +0200

rudof (0.1.104+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Sep 2025 00:46:57 +0200

rudof (0.1.100+ds-3) unstable; urgency=medium

  * no-changes upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Sep 2025 09:59:34 +0200

rudof (0.1.100+ds-2) experimental; urgency=medium

  * build-depend on recent rustc

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Sep 2025 16:44:29 +0200

rudof (0.1.100+ds-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Sep 2025 07:48:18 +0200

rudof (0.1.96+ds-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * add patch 1001
    to use final releases of oxigraph crates;
    bump and extend build-dependencies for oxigraph crates
  * add patch 2002_tracing-test
    to avoid not-in-Debian crate tracing-test
  * build-depend on packages for crates hashlink yaml-rust2

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Sep 2025 07:29:35 +0200

rudof (0.1.81+ds-3) unstable; urgency=medium

  * update watch file: use file format version 5
  * update DEP-3 patch headers
  * relax build-dependency for crate colored

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Sep 2025 00:49:54 +0200

rudof (0.1.81+ds-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Aug 2025 16:32:35 +0200

rudof (0.1.81+ds-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Jul 2025 11:00:07 +0200

rudof (0.1.79+ds-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Jun 2025 05:14:08 +0200

rudof (0.1.78+ds-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * fix typo in changelog
  * unfuzz patches
  * add patch 2004_no_vendoring to use system-shared code

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Jun 2025 10:17:28 +0200

rudof (0.1.73+ds-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 May 2025 10:21:19 +0200

rudof (0.1.70+ds-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * build-depend on package for crate petgraph

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 May 2025 15:47:43 +0200

rudof (0.1.62+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch 2002_serde_yml_ng, obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 29 Mar 2025 20:11:43 +0100

rudof (0.1.61+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches;
    build-depend on package for crate toml
    (not serde_yaml serde_yml)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Mar 2025 07:20:00 +0100

rudof (0.1.60+ds-2) unstable; urgency=medium

  * add patch 2004_no_network
    to avoid network-requiring tests by default

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 12 Mar 2025 10:56:30 +0100

rudof (0.1.60+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * bump build-dependency for crate thiserror;
    tighten build-dependencies
    for crates oxrdf oxrdfio oxttl sparesults spargebra;
    stop build-depend on package for crates maplit serde_with

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Mar 2025 18:59:02 +0100

rudof (0.1.59+ds-2) unstable; urgency=medium

  * update DEP-3 patch headers
  * declare compliance with Debian Policy 4.7.2
  * generate man pages for subcommands service and query

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 Mar 2025 20:01:03 +0100

rudof (0.1.59+ds-1) experimental; urgency=medium

  * initial release;
    closes: bug#1073786

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Feb 2025 22:16:49 +0100
